'''
Adds the PIDs to every row of the initial (full) dataset of user responses.

Author: Aaron Maguire
Date: January 2024

Input: ProcessedSessionsData_Anon.xlsx - file containing the initial (full) dataset of user responses
Output: FrankensteinDataPIDs_Anon.xlsx
'''

import openpyxl

FILE_1_PATH = "ProcessedSessionsData_Anon.xlsx"

wbF1 = openpyxl.load_workbook(filename = FILE_1_PATH, read_only=False)
file_1 = wbF1.active

currentPID = "P1"

cnt_row = file_1.max_row
for i in range(2, cnt_row):
    grabbedPID = str(file_1.cell(row = i, column = 1).value)
    #grab the current PID for looking at interesting data
    if(currentPID != grabbedPID and grabbedPID == "None"):
        file_1.cell(row = i, column = 1).value = currentPID
    elif(currentPID != grabbedPID and grabbedPID != "None"):
        currentPID = grabbedPID

tempRow = ''
tempRowPID = ''


file_1.to_excel("FrankensteinDataPIDs_Anon.xlsx", index=False)